version: '3'

services:
  mysql:
    container_name: database
    image: mysql:8.0
    environment:
      MYSQL_ROOT_PASSWORD: ${TYPEORM_PASSWORD}
    restart: always
    volumes:
      - ./data:/var/lib/mysql
    ports:
      - '3306:3306'
    env_file:
      - .env
  microservice:
    container_name: microservice-product-api
    build: .
    restart: always
    image: microservice-product-api
    command: npm start
    ports:
      - '5050:5050'
    links:
      - mysql
